WCTOB(3)

NAME
wctob - try to represent a wide character as a single byte

SYNOPSIS
#include <wchar.h>

int wctob(wint_t c);

DESCRIPTION
The wctob() function tests whether the multi-byte representation of the wide character c, starting in the initial state, consists of a single byte. If so, it is returned as an unsigned char.

Never use this function. It cannot help you in writing internationalized programs. Internationalized programs must never distinguish single-byte and multi-byte characters.

RETURN VALUE
The wctob() function returns the single-byte representation of c, if it exists, of EOF otherwise.

CONFORMING TO
C99.

NOTES
The behavior of wctob() depends on the LC_CTYPE category of the current locale.

This function should never be used. Internationalized programs must never distinguish single-byte and multi-byte characters. Use the function wctomb(3) instead.

SEE ALSO
wctomb(3)